SYSTEMD-MACHINE-ID-COMMIT(1)

NAME
systemd-machine-id-commit - Commit transient machine ID to /etc/machine-id

SYNOPSIS

systemd-machine-id-commit

DESCRIPTION

systemd-machine-id-commit may be used to write on disk any transient machine ID mounted as a temporary file system in /etc/machine-id at boot time. See machine-id(5) for more information about this file.

This tool will execute no operation if /etc/machine-id doesn't contain any valid machine ID, isn't mounted as an independent temporary file system, or /etc is read-only. If those conditions are met, it will then write current machine ID to disk and unmount the transient /etc/machine-id file in a race-free manner to ensure that this file is always valid for other processes.

Note that the traditional way to initialize the machine ID in /etc/machine-id is to use systemd-machine-id-setup by system installer tools. You can also use systemd-firstboot(1) to initialize the machine ID on mounted (but not booted) system images.

OPTIONS

The following options are understood:

--root=root
    Takes a directory path as an argument. All paths will be prefixed with the given alternate root path, including config search paths.

-h, --help
    Print a short help text and exit.

--version
    Print a short version string and exit.

EXIT STATUS

On success, 0 is returned, a non-zero failure code otherwise.

SEE ALSO

systemd(1), systemd-machine-id-commit.service(8), systemd-machine-id-setup(1), machine-id(5), systemd-firstboot(1)